menuconfig MACH_BLUEANGEL
        bool "HTC Blueangel (VERY EXPERIMENTAL)"
        depends on ARCH_PXA
        select PXA25x
        select PXA_SSP

menuconfig MACH_BLUEANGEL_LCD
	tristate "HTC Blueangel LCD support"
	depends on MACH_BLUEANGEL

config MACH_BLUEANGEL_BACKLIGHT
	bool "HTC Blueangel Backlight support"
	depends on MACH_BLUEANGEL

menuconfig MACH_BLUEANGEL_PCMCIA
	tristate "HTC Blueangel PCMCIA support"
	depends on MACH_BLUEANGEL
	---help---
	Required for wireless lan

menuconfig MACH_BLUEANGEL_SUSPEND
	tristate "HTC Blueangel suspend support"
	depends on MACH_BLUEANGEL
	---help---
	Does nothing useful right now

menuconfig MACH_BLUEANGEL_LEDS
	tristate "HTC Blueangel LED support"
	depends on MACH_BLUEANGEL
	---help---
	Support for right led (colors red+green+(yellow))
	Off/on hook keys ilumination
	Keyboard ilumination
	Vibra on/off

menuconfig MACH_BLUEANGEL_KEYPAD
	tristate "HTC Blueangel keypad support"
	depends on MACH_BLUEANGEL
	---help---
	Support for function keys
	Pull-out keyboard not yet working

menuconfig MACH_BLUEANGEL_AUDIO
	tristate "HTC Blueangel audio support"
	depends on MACH_BLUEANGEL

menuconfig MACH_BLUEANGEL_BATTERY
	tristate "HTC Blueangel battery support"
	depends on MACH_BLUEANGEL
	---help---
	Does not work yet

menuconfig MACH_BLUEANGEL_ROM
	tristate "HTC Blueangel flash rom support"
	depends on (MACH_BLUEANGEL || MACH_HIMALAYA )
	---help---
	Read and write (be careful!) support of the pxa flash rom

menuconfig MACH_BLUEANGEL_DPRAM
	tristate "HTC Blueangel dpram asic support"
	depends on MACH_BLUEANGEL
	---help---
	Required for using data transfer via GPRS, CSD and FAX

config MACH_BLUEANGEL_UDC
	bool "HTC Blueangel UDC support"
	depends on MACH_BLUEANGEL
	
